initramfs-tools-ubuntu-touch (0.94vivid5) vivid; urgency=medium

  * fix handling of $path if it doesn not point to a raw /dev/mmcblkNpN but to
    /dev/disk/by-partlabel/* instead.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 01 May 2015 22:20:51 +0200

initramfs-tools-ubuntu-touch (0.94vivid4) vivid; urgency=medium

  * add support for resizing the userdata partition content, if the
    filesystem is not yet filling the whole partition.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 30 Apr 2015 17:21:18 +0200

initramfs-tools-ubuntu-touch (0.94vivid3) vivid; urgency=medium

  * fix typo

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Apr 2015 20:19:55 +0200

initramfs-tools-ubuntu-touch (0.94vivid2) vivid; urgency=medium

  * exclude PPAs when looking for a proper value for MIRROR in sources.list

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Apr 2015 19:45:17 +0200

initramfs-tools-ubuntu-touch (0.94vivid1) vivid; urgency=medium

  * add /sbin/resize2fs to hooks/touch so the binary is available in the
    initrd for consumption.
    Thanks to Jani Monoses <jani.monoses@canonical.com>

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Apr 2015 18:40:38 +0200

initramfs-tools-ubuntu-touch (0.94) vivid; urgency=medium

  * enable support for /userdata/.writable_device_image, thanks to
    Ondrej Kubik <ondrej.kubik@canonical.com> for the patch

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 21 Apr 2015 18:53:57 +0200

initramfs-tools-ubuntu-touch (0.93) vivid; urgency=medium

  * no-change rebuild to pick up new initramfs-tools (LP: #1443329)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 13 Apr 2015 15:38:21 +0200

initramfs-tools-ubuntu-touch (0.92) vivid; urgency=medium

  * add support for adding a "#endubuntu" line to androids fstab, that way
    porters can put partitions they want to prevent from being mounted via
    ubuntu underneath this point and only android will care for mounting them.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 09 Apr 2015 17:24:55 +0200

initramfs-tools-ubuntu-touch (0.91) vivid; urgency=medium

  * Adding mount binary, so it can better understand the original fstab
    from Android

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 26 Mar 2015 17:36:51 -0300

initramfs-tools-ubuntu-touch (0.90) vivid; urgency=medium

  * last change did sadly not help, revert again ...

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 20 Mar 2015 15:32:06 +0100

initramfs-tools-ubuntu-touch (0.89) vivid; urgency=medium

  * try using -s for fakechroot command to overcome a chroot error during
    build in case the libc version in -proposed is newer than in the
    deboostrapped chroot.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 20 Mar 2015 15:20:52 +0100

initramfs-tools-ubuntu-touch (0.88) vivid; urgency=medium

  * scripts/touch: allow the fstab to use an entry without label

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 20 Mar 2015 02:30:21 -0300

initramfs-tools-ubuntu-touch (0.87) vivid; urgency=medium

  * and actually add a debootstrap.env confiuration in the fakechroot-config
    dir

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Mar 2015 17:50:04 +0100

initramfs-tools-ubuntu-touch (0.86) vivid; urgency=medium

  * force usage of the fakechroot-config in deboostrap so we explicitly
    override chfn

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Mar 2015 16:40:23 +0100

initramfs-tools-ubuntu-touch (0.85) vivid; urgency=medium

  * add more verbosity to teh build script and dump the debootstrap.log file
    into the buildd log
  * force installing of upstart since we need to do this explicitly in
    the new systemd world.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 11 Mar 2015 16:19:03 +0100

initramfs-tools-ubuntu-touch (0.84) vivid; urgency=medium

  * Bumping against latest initramfs-tools

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 10 Mar 2015 19:09:39 -0300

initramfs-tools-ubuntu-touch (0.83) vivid; urgency=medium

  * Bumping against latest initramfs-tools

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Feb 2015 10:41:00 -0200

initramfs-tools-ubuntu-touch (0.82) vivid; urgency=medium

  * scripts/touch: adding extra property for the channel id (LP: #1420242)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 11 Feb 2015 10:28:21 -0200

initramfs-tools-ubuntu-touch (0.81) vivid; urgency=medium

  * scripts/touch: adding logic to set properties based on the system
    image version

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sat, 24 Jan 2015 19:25:39 -0200

initramfs-tools-ubuntu-touch (0.80) vivid; urgency=medium

  * scripts/touch: mounting userdata with data=journal as a workaround
    for bug LP: #1387214

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 18 Nov 2014 15:33:16 -0200

initramfs-tools-ubuntu-touch (0.79) vivid; urgency=medium

  * Adding e2fsck so we can check the rw partitions when booting
  * scripts/touch: adding logic to check the filesystem for userdata (rw)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 11 Nov 2014 00:39:22 -0200

initramfs-tools-ubuntu-touch (0.78) utopic; urgency=medium

  * Pointing android userdata to /data/android-data so both systems can share
    the same files (LP: #1368785)
  * Adding charging mode and low battery charging mode as valid boot modes
    (LP: #1372373)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 25 Sep 2014 17:00:57 -0300

initramfs-tools-ubuntu-touch (0.77) utopic; urgency=medium

  * Also booting directly into android when in meta mode (krillin specific at
    this point, until we abstract this logic in a more generic way).

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 18 Sep 2014 15:03:38 -0300

initramfs-tools-ubuntu-touch (0.76) utopic; urgency=medium

  * Adding logic to handle factory mode

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 09 Sep 2014 00:19:05 -0300

initramfs-tools-ubuntu-touch (0.75) utopic; urgency=medium

  [ Jani Monoses ]
  * Allow booting Ubuntu from a partition.
  * Revert the last change. We'll first support a common partition only
    for Ubuntu, Android system and custom and these changes are not needed.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 18 Aug 2014 17:27:55 -0300

initramfs-tools-ubuntu-touch (0.74) utopic; urgency=medium

  * Adding support for real partitions, keeping old boot methods
    - Code originally done by Ondra

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sat, 26 Jul 2014 21:52:27 -0300

initramfs-tools-ubuntu-touch (0.73) utopic; urgency=medium

  * Bind mounting ubuntu overlay files (available in the android system.img)
  * Bumping standards-version to 3.9.5

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 25 Jun 2014 16:08:46 -0300

initramfs-tools-ubuntu-touch (0.72) trusty; urgency=medium

  * make the globbing in append-|remove-cmdline-arg more precise

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 08 Apr 2014 20:43:53 +0200

initramfs-tools-ubuntu-touch (0.71) trusty; urgency=medium

  * instead of gunzipping the android initrd for just retrieving fstab, lets
    simply do the whole unpacking from initrd and drop the additional
    unzipping from lxc-android-config which also speeds up booting by not
    having redundant gunzip runs.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 01 Apr 2014 18:33:34 +0200

initramfs-tools-ubuntu-touch (0.70) trusty; urgency=medium

  * Glob any device specific fstab, instead of fstab with any suffix.
  * Also look up partitions by any other stable udev symlinks.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 17 Mar 2014 16:47:52 +0000

initramfs-tools-ubuntu-touch (0.69) trusty; urgency=medium

  * Also building ubuntu-touch-generic-initrd for amd64 and i386

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 09 Feb 2014 21:18:52 -0200

initramfs-tools-ubuntu-touch (0.68) trusty; urgency=medium

  * fix flash-touch-initrd for cdimage images to do an exact match of the
    partition name instead of using wildcards (to fix cdimage based installs
    on flo)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 30 Jan 2014 13:26:45 +0100

initramfs-tools-ubuntu-touch (0.67) trusty; urgency=medium

  * make sure that flash-touch-initrd and flash-touch-kernel can not be run
    if the system operates in dual boot mode (where the boot.img lives in
    the recovery partition)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 22 Jan 2014 14:48:49 +0100

initramfs-tools-ubuntu-touch (0.66) trusty; urgency=medium

  * revert last change and replace it by an equally ugly but possibly working
    fix.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 06 Jan 2014 19:06:00 +0100

initramfs-tools-ubuntu-touch (0.65) trusty; urgency=medium

  * Ugly workaround to fix FTBFS, add fakechroot to the chroot packages.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 17 Dec 2013 10:21:41 -0500

initramfs-tools-ubuntu-touch (0.64) trusty; urgency=low

  * Enable discard (TRIM) for the userdata partition.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 15 Dec 2013 18:57:41 -0500

initramfs-tools-ubuntu-touch (0.63) trusty; urgency=low

  * Workaround behaviour change in busybox where loop mounted fs that
    are mounted read-only also get a read-only loop device therefore
    preventing read-write remounts.
    The workaround is to first mount read-write, then remount read-only
    when in user mode.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Nov 2013 12:42:59 -0500

initramfs-tools-ubuntu-touch (0.62) trusty; urgency=low

  [ Chris Wayne ]
  * Add support for multiple users in customization code. (LP: #1230409)

  [ Stéphane Graber ]
  * Update the above to work should the path contain spaces.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Nov 2013 17:12:42 -0500

initramfs-tools-ubuntu-touch (0.61) trusty; urgency=low

  * Reverting the revert as that had nothing to do with the image issue

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 11 Nov 2013 12:13:45 -0200

initramfs-tools-ubuntu-touch (0.60) trusty; urgency=low

  * revert the last change as it breaks booting innn image 16 completely

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 09 Nov 2013 15:28:58 +0100

initramfs-tools-ubuntu-touch (0.59) trusty; urgency=low

  * Drop manual /system mount when running with the emulator
  * Also handle MTD based devices when parsing fstab

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 08 Nov 2013 04:20:14 -0200

initramfs-tools-ubuntu-touch (0.58) devel; urgency=low

  * Create ${rootmnt}/android directory before mounting.
  * Mount ${rootmnt}/system for the emulator.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 24 Oct 2013 18:15:54 +0100

initramfs-tools-ubuntu-touch (0.57) saucy; urgency=low

  * Don't run fsck on the phone since we don't have plymouth and so
    can't prompt the user in case of any problem.
  * Mount /var/lib/ureadahead from the initrd if available so that it's
    ready to be used by the time ureadahead starts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 11 Oct 2013 13:01:15 -0400

initramfs-tools-ubuntu-touch (0.56) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Skip calling readlink with empty $part, when partition from in
    partlist loop is not found, thus avoiding busybox help output printed
    on the console.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 03 Oct 2013 18:49:06 +0200

initramfs-tools-ubuntu-touch (0.55) saucy; urgency=low

  * Fix synced mode to not write over existing symlinks. (LP: #1234051)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Oct 2013 11:47:11 +0200

initramfs-tools-ubuntu-touch (0.54) saucy; urgency=low

  * Only run fakeroot once in build-initrd.sh, rather than trying to use a
    saved environment in fragile and incorrect ways.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Oct 2013 16:41:12 +0100

initramfs-tools-ubuntu-touch (0.53) saucy; urgency=low

  * No change rebuild to try and get bin/chown et al back in the initrd...

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 01 Oct 2013 16:34:00 +0200

initramfs-tools-ubuntu-touch (0.52) saucy; urgency=low

  * Fix synced mode to act as if "transition" is set on first boot.
    Otherwise we need to boots to get the files copied to writable storage.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Oct 2013 10:21:22 -0400

initramfs-tools-ubuntu-touch (0.51) saucy; urgency=low

  * No change rebuild to try and get bin/chown et al back in the initrd...

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 01 Oct 2013 09:45:39 -0400

initramfs-tools-ubuntu-touch (0.50) saucy; urgency=low

  * Add a new "synced" mode to writable-paths which will automatically copy
    any new file appearing on the filesystem but won't remove any extra file
    from the target (this should be used with care and with full understanding
    of the consequences). (LP: #1227520)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 26 Sep 2013 17:55:27 -0400

initramfs-tools-ubuntu-touch (0.49) saucy; urgency=low

  * Use stat to restore the file ownership and permissions when diverting
    to persistent storage.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 07 Sep 2013 13:52:07 -0400

initramfs-tools-ubuntu-touch (0.48) saucy; urgency=low

  * Add /bin/chown to the initrd.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 06 Sep 2013 12:47:25 -0400

initramfs-tools-ubuntu-touch (0.47) saucy; urgency=low

  * Chown the home directory after copying the customization files.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Sep 2013 15:33:03 -0400

initramfs-tools-ubuntu-touch (0.46) saucy; urgency=low

  * Setup the SWAP device if present.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Sep 2013 11:03:01 -0400

initramfs-tools-ubuntu-touch (0.45) saucy; urgency=low

  * Fix /lib/modules bind-mounting code in initrd.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 04 Sep 2013 23:40:29 -0400

initramfs-tools-ubuntu-touch (0.44) saucy; urgency=low

  * Restrict initramfs-tools-ubuntu-touch to arches that build adbd.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 03 Sep 2013 09:24:57 -0600

initramfs-tools-ubuntu-touch (0.43) saucy; urgency=low

  * gracefully exit the initrd build script if we are not on armhf
  * make the initramfs-tools-ubuntu-touch Arch: "any" instead of "all"
    else the Arch: all package will never be attempted due to bug 1063188

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 03 Sep 2013 13:39:29 +0200

initramfs-tools-ubuntu-touch (0.42) saucy; urgency=low

  * fix build deps for new package merge

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 03 Sep 2013 13:03:57 +0200

initramfs-tools-ubuntu-touch (0.41) saucy; urgency=low

  * merge ubuntu-touch-generic-initrd so we save one no-change upload per
    build

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 03 Sep 2013 11:13:12 +0200

initramfs-tools-ubuntu-touch (0.40) saucy; urgency=low

  * Add a shell syntax check (sh -n) for etc/initramfs/post-update.d/* hooks/*
    scripts/panic/adbd scripts/touch usr/sbin/* to catch typos in the future.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 28 Aug 2013 22:12:50 +0200

initramfs-tools-ubuntu-touch (0.39) saucy; urgency=low

  * Fix typo in previous upload.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Aug 2013 13:55:12 -0400

initramfs-tools-ubuntu-touch (0.38) saucy; urgency=low

  [ Loïc Minier ]
  * Add a 5th column to writable-paths with the mount options; writable-paths
    should use "defaults" for temporary mounts and "none" for persistent
    mounts; "bind" gets preprended for persistent mounts. (LP: #1217866)

  [ Stéphane Graber ]
  * Add transition code for .developer_mode to .writable_image

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 28 Aug 2013 09:59:53 -0400

initramfs-tools-ubuntu-touch (0.37) saucy; urgency=low

  * Replace .develoepr_mode by .writable_image (LP: #1217048)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Aug 2013 15:08:46 -0400

initramfs-tools-ubuntu-touch (0.36) saucy; urgency=low

  [ Matthew Fischer ]
  * Add code to support /custom on image based devices.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 21 Aug 2013 16:13:22 -0400

initramfs-tools-ubuntu-touch (0.35) saucy; urgency=low

  * ship "append-cmdline-arg" and "remove-cmdline-arg" scripts to easily
    modify kernel cmdline arguments on devices where boot.img cmdline options
    are respected (mako, maguro).

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 20 Aug 2013 18:26:14 +0200

initramfs-tools-ubuntu-touch (0.34) saucy; urgency=low

  * fix typo

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 14 Aug 2013 16:41:07 +0200

initramfs-tools-ubuntu-touch (0.33) saucy; urgency=low

  * add support for datapart= commandline option in touch boots, this way
    devices that do not have partition labels can define where the /data
    partition lives for the mount to succeed.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 14 Aug 2013 15:30:56 +0200

initramfs-tools-ubuntu-touch (0.32) saucy; urgency=low

  * Update scripts/touch to parse the new writable-paths file instead of
    using its hardcoded list of paths.
    From that point on, only lxc-anroid-config will need updating when
    adding/removing persistent paths to the touch images.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Aug 2013 18:11:29 +0200

initramfs-tools-ubuntu-touch (0.31) saucy; urgency=low

  * also add USERDATA to accepted partition labels

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 01 Aug 2013 15:35:18 +0200

initramfs-tools-ubuntu-touch (0.30) saucy; urgency=low

  * drop the last change, somehow FLASH_KERNEL_SKIP isnt set during live-build
    builds anymore and exporting it forcefully during build seems to not help

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 31 Jul 2013 15:30:57 +0200

initramfs-tools-ubuntu-touch (0.29) saucy; urgency=low

  * add /etc/kernel/postinst.d/flash-touch-kernel so it gets flashed
    automatically during kernel .deb installation

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 31 Jul 2013 10:47:43 +0200

initramfs-tools-ubuntu-touch (0.28) saucy; urgency=low

  * Remove system-image/client.ini mangling and add cleanup code.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 25 Jul 2013 13:13:17 +0100

initramfs-tools-ubuntu-touch (0.27) saucy; urgency=low

  * Properly detect the partitions on grouper (image install only).

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 17 Jul 2013 13:54:30 -0400

initramfs-tools-ubuntu-touch (0.26) saucy; urgency=low

  * Fix broken sed statement in client.ini file generation.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 15 Jul 2013 14:59:45 -0400

initramfs-tools-ubuntu-touch (0.25) saucy; urgency=low

  * Update initrd for loop-back images:
    - Add code to generate a new system-image config file
    - Rename most permanent storage mounts to match the fs hierarchy.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 12 Jul 2013 15:00:26 -0400

initramfs-tools-ubuntu-touch (0.24) saucy; urgency=low

  * replace /data by /userdata for the userdata mount point.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 11 Jul 2013 11:45:13 -0400

initramfs-tools-ubuntu-touch (0.23) saucy; urgency=low

  * add system-image to the read-write paths.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 08 Jul 2013 18:53:18 -0400

initramfs-tools-ubuntu-touch (0.22) saucy; urgency=low

  * add support for "KERNEL" partition name (used by some samsung devices)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Jul 2013 14:43:31 +0200

initramfs-tools-ubuntu-touch (0.21) saucy; urgency=low

  * for some reason the adbd linked libs do not get copied by copy_exec, as a
    workaround install them one by one from the touch hook for now

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 30 Jun 2013 16:22:05 +0200

initramfs-tools-ubuntu-touch (0.20) saucy; urgency=low

  * ship a "flash-touch-kernel" developer tool so one does not always need to
    look up the bootimg path
  * add a notification that ubuntu-touch-generic-initrd needs to be updated to
    clean target

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 30 Jun 2013 14:17:17 +0200

initramfs-tools-ubuntu-touch (0.19) saucy; urgency=low

  * ship a "flash-touch-initrd" script
  * ship a hook in /etc/initramfs/post-update.d/zz-flash-touch-initrd script
    to be called automatically after update-initramfs

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 30 Jun 2013 11:13:02 +0200

initramfs-tools-ubuntu-touch (0.18) saucy; urgency=low

  * Add support for loop-mounted images. This will detect the presence of a
    system.img file on the data partition, if found, it'll use it as the
    rootfs, mount it read-only (unless .developer_mode exists), then mount
    all the Android partitions and finally setup a bunch of bind-mounts.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 28 Jun 2013 16:43:17 -0400

initramfs-tools-ubuntu-touch (0.17) saucy; urgency=low

  * Removing the 'apparmor=0' boot cmdline as the android container profile is
    now set to unconfined by lxc-android-config

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 27 Jun 2013 15:29:31 -0300

initramfs-tools-ubuntu-touch (0.16) saucy; urgency=low

  * add apparmor=0 to all commandlines until the apparmor kernel breakage is
    fixed

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Jun 2013 18:03:36 +0200

initramfs-tools-ubuntu-touch (0.15) saucy; urgency=low

  * fix the adbd panic script ... now works for all panics reliable except
    "init" since this already moved around /sys, /proc, /dev and /run

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 21 Jun 2013 15:44:04 +0200

initramfs-tools-ubuntu-touch (0.14) saucy; urgency=low

  * ugh, do not install scripts/ into scripts/scripts/

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 21 Jun 2013 13:02:44 +0200

initramfs-tools-ubuntu-touch (0.13) saucy; urgency=low

  * move adbd to be spawned by a panic hook so it will also be started on
    other errors than missing root device.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 20 Jun 2013 13:23:57 +0200

initramfs-tools-ubuntu-touch (0.12) saucy; urgency=low

  * make sure find only returns one link to the userdata partition in
    mountroot, this should fix manta booting

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 19 Jun 2013 14:18:26 +0200

initramfs-tools-ubuntu-touch (0.11) saucy; urgency=low

  * add a wait after starting adbd so we dont move on and hopefully do not
    reboot the nexus 10 if the rootfs mount fails

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 18 Jun 2013 00:57:14 +0200

initramfs-tools-ubuntu-touch (0.10) saucy; urgency=low

  * allow 16M bootimg on mako, for some reason zImage in the mako kernel
    package is suddenly >6M.

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 15 Jun 2013 16:30:44 +0200

initramfs-tools-ubuntu-touch (0.9) saucy; urgency=low

  * divert all initramfs scripts and hooks we dont need
  * make touch initramfs hook executable

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 15 Jun 2013 13:26:46 +0200

initramfs-tools-ubuntu-touch (0.8) saucy; urgency=low

  * use MODULES=list by default to make sure we do not get modules installed.
    seems some kernels suddenly grew modules that make the initrd to big for
    the boot partition.

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 15 Jun 2013 12:44:37 +0200

initramfs-tools-ubuntu-touch (0.7) saucy; urgency=low

  * make the data partition detection more generic and use the actual device
    name as detected by readlink
  * ship adbd in the initrd and start it if the rootfs detection fails
  * ship upstarts reboot command so reboot -f recovery/bootloader works
  * add "DATAFS" to the allowed names for the data partition
  * add swapfile to default fstab entries

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 15 Jun 2013 12:26:29 +0200

initramfs-tools-ubuntu-touch (0.6) saucy; urgency=low

  * set console=tty1 in grouper bootimg config

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 14 Jun 2013 13:33:53 +0200

initramfs-tools-ubuntu-touch (0.5) saucy; urgency=low

  * write panic info to dmesg so we can read it on failure from
    /proc/last_kmsg

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Jun 2013 22:46:48 +0200

initramfs-tools-ubuntu-touch (0.4) saucy; urgency=low

  * depend on udev (>= 175-0ubuntu29) since we rely on the changes
    introduced with this version

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 27 May 2013 15:16:42 +0200

initramfs-tools-ubuntu-touch (0.3) saucy; urgency=low

  * add dependency on abootimg
  * add bootimg.cfg-$subarch files

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 27 May 2013 14:38:53 +0200

initramfs-tools-ubuntu-touch (0.2) saucy; urgency=low

  * add finer grained partition detection, support "UDA userdata" as partition
    names
  * only suppress /dev/root checking of mountall in fstab, setting up the
    mountpoints needs to happen by the lxc package

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 27 May 2013 12:08:32 +0200

initramfs-tools-ubuntu-touch (0.1) saucy; urgency=low

  * Initial Release

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 17 May 2013 13:08:06 +0200
